CVE-2019-20218

Published: 02 January 2020

selectExpander in select.c in SQLite 3.30.1 proceeds with WITH stack unwinding even after a parsing error.

Priority

Low

CVSS 3 base score: 7.5

Status

Package Release Status
sqlite3
Launchpad, Ubuntu, Debian
Upstream
Released (3.30.1+fossil191229-1)
Ubuntu 21.10 (Impish Indri) Not vulnerable
(3.31.1-1ubuntu1)
Ubuntu 21.04 (Hirsute Hippo) Not vulnerable
(3.31.1-1ubuntu1)
Ubuntu 20.04 LTS (Focal Fossa) Not vulnerable
(3.31.1-1ubuntu1)
Ubuntu 18.04 LTS (Bionic Beaver)
Released (3.22.0-1ubuntu0.3)
Ubuntu 16.04 ESM (Xenial Xerus)
Released (3.11.0-1ubuntu1.4)
Ubuntu 14.04 ESM (Trusty Tahr) Needs triage

Patches:
Upstream: https://github.com/sqlite/sqlite/commit/a6c1a71cde082e09750465d5675699062922e387